## org.eclipse.datatools.connectivity.oda.design
Interface AndExpression

All Superinterfaces:
  CompositeFilterExpression, org.eclipse.emf.ecore.EObject, FilterExpression, org.eclipse.emf.common.notify.Notifier

    public interface AndExpression

extends CompositeFilterExpression

A representation of the model object 'And Expression'. A built-in composite filter expression whose child expressions are combined by the And boolean operator. The composite expression is evaluated to be true only if all its child expressions are evaluated as true.

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getAndExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.CompositeFilterExpression
`add, getChildren`

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.FilterExpression
`isNegatable, isSetNegatable, setNegatable, unsetNegatable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values